PGOBLIN_BANG(-f)
  Copyright (C)2024 @BABOLO http://www.babolo.ru/
  pkg = lrwi-helorussia
  All rights reserved.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.

  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  SUCH DAMAGE.

  $Id: lrwi-helorussia.pgoblin.m4,v 1.11 2024/12/29 18:24:01 babolo Exp $

lRwI_PreA
#perform 0002  ##########################################################################    ####
CREATE TABLE IF NOT EXISTS SQNM(levh)                   --  
     ( SQAT(levh)  INTEGER PRIMARY KEY AUTOINCREMENT      --  
     , SQAT(name)  text    NOT NULL                       -- 
     , SQAT(ordr)  int                                    -- 
     ) STRICT
;
#perform 0002
INSERT OR REPLACE
 INTO SQNM(levh)(SQAT(levh), SQAT(name), SQAT(ordr))
 VALUES ( 0, ' '           , 99)
--    , ( 1, ' '                , 99)
--    , ( 2, '  ', 99)
;
#perform 0002  #######################################################################    ####
CREATE TABLE IF NOT EXISTS SQNM(labo)                   --  
     ( SQAT(levh)  int     NOT NULL REFERENCES SQNM(levh) --  
     , SQAT(labo)  INTEGER PRIMARY KEY AUTOINCREMENT      --  
     , SQAT(name)  text    NOT NULL                       -- 
     , SQAT(ordr)  int                                    -- 
     ) STRICT
;
#perform 0002
INSERT OR REPLACE
 INTO SQNM(labo)(SQAT(levh), SQAT(labo), SQAT(name), SQAT(ordr))
 VALUES ( 0,  0, ':  '              , 99)
--    , ( 0,  1, '   '              , 99)
      , ( 0,  2, '   '        , 99)
      , ( 0,  3, ' '                           , 99)
      , ( 0, 10, '  '            , 99)
--    , ( 1,  4, ':    ', 99)
--    , ( 1,  5, '   '              , 99)
--    , ( 1,  6, ' '                           , 99)
--    , ( 2,  7, ':    ', 99)
--    , ( 2,  8, '   '              , 99)
--    , ( 2,  9, ' '                           , 99)
;
#perform 0002  ###########################################################################    ####
CREATE TABLE IF NOT EXISTS SQNM(kurs)                   --  
     ( SQAT(labo)  int     NOT NULL REFERENCES SQNM(labo) --  
     , SQAT(kurs)  INTEGER PRIMARY KEY AUTOINCREMENT      --  
     , SQAT(name)  text    NOT NULL                       -- 
     , SQAT(ordr)  int                                    -- 
     ) STRICT
;
#perform 0002
INSERT OR REPLACE
 INTO SQNM(kurs)(SQAT(labo), SQAT(kurs), SQAT(name), SQAT(ordr))
 VALUES ( 0,  0, ' ' , 99)
      , ( 0,  1, ' ', 99)
--    , ( 1,  2, ' ' , 99)
--    , ( 1,  3, ' ', 99)
      , ( 2,  4, ' ' , 99)
--    , ( 2,  5, ' ', 99)
      , ( 3,  6, ' ' , 99)
      , ( 3,  7, ' ', 99)
--    , ( 4,  8, ' ' , 99)
--    , ( 4,  9, ' ', 99)
--    , ( 5, 10, ' ' , 99)
--    , ( 5, 11, ' ', 99)
--    , ( 6, 12, ' ' , 99)
--    , ( 6, 13, ' ', 99)
--    , ( 7, 14, ' ' , 99)
--    , ( 7, 15, ' ', 99)
--    , ( 8, 16, ' ' , 99)
--    , ( 8, 17, ' ', 99)
      , (10, 18, ' ', 99)
;
#perform 0002  ###########################################################################    ####
CREATE TABLE IF NOT EXISTS SQNM(less)                   --  
     ( SQAT(kurs)  int     NOT NULL REFERENCES SQNM(kurs) --  
     , SQAT(less)  INTEGER PRIMARY KEY AUTOINCREMENT      --  
     , SQAT(name)  text    NOT NULL                       -- 
     , SQAT(ordr)  int                                    -- 
     ) STRICT
;
#perform 0002
INSERT OR REPLACE
 INTO SQNM(less)(SQAT(kurs), SQAT(less), SQAT(name), SQAT(ordr))
 VALUES ( 0,  8, '  '                     , 99)
      , ( 1,  0, '  '                    , 95)
      , ( 1,  1, '  '                   , 95)
      , ( 1,  2, '  '                   , 95)
      , ( 1,  3, ' ף '                 , 95)
      , ( 1,  4, '  '                    , 96)
      , ( 1,  5, '  '                   , 96)
      , ( 1, 12, '  '                   , 96)
      , ( 1,  6, '  '                   , 99)
      , ( 1,  7, '  '                   , 99)
      , ( 1, 16, '  '              , 99)
      , ( 1, 17, '  '               , 99)
      , ( 1, 18, '  '               , 99)
      , ( 1, 19, '  '             , 99)
      , ( 1, 20, '  '               , 99)
      , ( 4,  9, ' ף '                 , 99)
      , ( 4, 10, '  '                     , 99)
      , ( 6, 11, '  '                   , 99)
      , ( 7, 13, '"   "', 99)
      , (18, 14, ' "",  1-5'          , 99)
      , (18, 15, ' 1-8'                          , 99)
;
#perform 0002  ######################################################################   ####
INSERT OR REPLACE
 INTO SQNM(proj)(SQAT(proj), SQAT(name), SQAT(ordr), SQAT(vizi), SQAT(pnam), SQAT(anno))
 VALUES( LRWINUM, '", !"', 999, 1, 'lrwi-helorussia', NULL)
;
#
